Subject: Re: C++ Exceptions in Multithreaded Applications Crash
From: Lenny Primak <[email-masked]>
To: Thomas Pfaff <[email-masked]>
Cc: [email-masked]
Date: Wed, 3 Jul 2002 16:03:47 -0400

Strange indeed, I will try that, but in the meanwhile,
can you confirm that stock (cygwin.com) build does not work?

Thanks a log

On Wednesday, July 3, 2002, at 03:57  PM, Thomas Pfaff wrote:

>
>
> On Sat, 29 Jun 2002, Lenny Primak wrote:
>
>> This has been submitted to GCC GNATS as PR/7168.
>>
>> Using the G++ exception system from multiple threads corrupts the gcc's
>> internal exception stack, due to not including the thread-specific
>> exception context in the compile.
>> GCC Version: 2.95.3-5 from default Cygwin install.
>>
>> I tried to re-compile gcc with --enable-threads=posix and with
>> --enable-sjlj-exceptions
>> with no results.  The following program is used to determine if the
>> exception context is thread-specific or not:
>>
>>
>
> Strange:
> I have build gcc-2.95.3-5 with --disable-shared --enable-threads
> (and without --enable-sjlj-exceptions, but this should be the default)
> and i get
>
> func() - eh_context = 970EB0
> func() - eh_context = 971368
> Great! Exception Stacks Differ.
>
> Thomas
>
Lenny Primak
PP-ASEL,H-IA
http://hope.nyc.ny.us

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/